html, body 
{
    width: 100%;
    height: 100%;
    margin: 0;
    text-align: center;
}

body 
{  
  display: flex;  
  flex-direction: column; /* Stack children vertically */  
} 

main 
{  
  flex: 1; /* Shorthand for flex-grow: 1, flex-shrink: 1, flex-basis: 0 */  
}

#logo
{
    padding-top: 3em;
    max-width: 75%;
}

#market-pic-text
{
    color: green;
}

#market-pics
{
    padding-top: 0;
    max-width: 75%;
}

/* Styles for Mobile Layout */
@media only screen and (max-width: 480px) 
{
    .mobile { display: inline; }
    .tablet { display: none; }
    .large-tablet { display: none; }
    .desktop { display: none; }

    #mobile-nav
    {
        color: green;
        margin-top: 0.2em;
        text-align: center;
        font-family: "Avant Garde", Avantgarde, "Century Gothic",CenturyGothic,"AppleGothic";
        font-weight: bold;
        font-size: 1em;
    }
    
    #mobile-nav a
    {
        text-align: center;
        text-decoration: none;
        color: red; 
    }
    
    #mobile-nav ul
    {
        text-align: center;
        list-style-type: none;
    }
    
    #mobile-nav li
    {
        display: inline; 
    }
    
    #mobile-nav li a
    {
        padding-right: 5%;
        text-align: center;
        text-decoration: none;
        color: goldenrod;
    }
    
    .mobile-main
    {
        text-align: center;
        text-decoration: none;
        color: green;
    }
    
    .mobile-main a
    {
        text-decoration: none;
        color: red;
    }
}

/* Styles for a Tablet Layout */
@media only screen and (min-width: 481px) and (max-width: 768px) 
{
    .mobile { display: none; }
    .tablet { display: inline; }
    .large-tablet { display: none; }
    .desktop { display: none; }
    
    #tablet-nav
    {
        color: green;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
        text-align: center;
        font-family: "Avant Garde", Avantgarde, "Century Gothic",CenturyGothic,"AppleGothic";
        font-weight: bold;
        font-size: 1.3em;
    }
    
    #tablet-nav a
    {
        text-align: center;
        text-decoration: none;
        color: red;
    }
    
    #tablet-nav ul
    {
        text-align: center;
        list-style-type: none;
    }
    
    #tablet-nav li
    {
        display: inline; 
    }
    
    #tablet-nav li a
    {
        padding-right: 5%;
        text-align: center;
        text-decoration: none;
        color: goldenrod;
    }
    
    .tablet-main
    {
        text-align: center;
        text-decoration: none;
        color: green;
    }
    
    .tablet-main a
    {
        text-decoration: none;
        color: red;
    }
}

/* Styles for a Large Tablet Layout */
@media only screen and (min-width: 769px) and (max-width: 1449px) 
{
    .mobile { display: none; }
    .tablet { display: none; }
    .large-tablet { display: inline; }
    .desktop { display: none; }
    
    #large-tablet-nav
    {
        text-decoration: none;
        color: green;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
        text-align: center;
        font-size: 1.3em;
        font-family: "Avant Garde", Avantgarde, "Century Gothic",CenturyGothic,"AppleGothic";
        font-weight: bold;
    }
    
    #large-tablet-nav a
    {
        text-align: center;    
        text-decoration: none;
        color: red;
    }
    
    #large-tablet-nav ul
    {
        text-align: center;
        list-style-type: none;
    }
    
    #large-tablet-nav li
    {
        display: inline; 
    }
    
    #large-tablet-nav li a
    {
        padding-right: 5%;
        text-align: center;
        text-decoration: none;
        color: goldenrod;
    }
    
    .large-tablet-main
    {
        text-align: center;
        text-decoration: none;
        color: green;
    }
    
    .large-tablet-main a
    {
        text-decoration: none;
        color: red;
    }
}

/* Styles for a Desktop Layout */
@media only screen and (min-width: 1450px) 
{
    .mobile {display: none; }
    .tablet { display: none; }
    .large-tablet { display: none; }
    .desktop { display: inline; }
    
    #desktop-nav
    {
        text-decoration: none;
        color: green;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
        text-align: center;
        font-size: 2.3em;
        font-family: "Avant Garde", Avantgarde, "Century Gothic",CenturyGothic,"AppleGothic";
        font-weight: bold;
    }
    
    #desktop-nav a
    {
        text-align: center;
        text-decoration: none;
        color: red;
    }
    
    #desktop-nav ul
    {
        text-align: center;
        list-style-type: none;    
    }
    
    #desktop-nav li
    {
        display: inline; 
    }
    
    #desktop-nav li a
    {
        padding-right: 5%;
        text-align: center;
        text-decoration: none;
        color: goldenrod;
    }
    
    .desktop-main
    {
        text-align: center;
        text-decoration: none;
        color: green;
    }
    
    .desktop-main a
    {
        text-decoration: none;
        color: red;
    }
}

.footer
{
    font-size: 0.70em;
    color: white;
    text-align: center;
    padding: 1em;
    background-color: black;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1rem;
}